import sys
import time
from InfluxDB import InfluxDBClient
import traceback

class dbwriter:
    def __init__(self,addr):
        self.db = False
        self.address = addr

    def Connect(self):
        try:
            print "Preparing Influx Connection"
            bits = self.address.split(':')

            #self.table = bits[5]
            #self.lookup = bits[6]
            #self.stamp = bits[7]
            #self.value = bits[8]
            self.db = InfluxDBClient(bits[0],bits[1],bits[3],bits[4],bits[2])
            print "Connection Successful!"
            return True
        except:
            traceback.print_exc()
            return False

    def Prepare(self,channels):
        pass

    def WriteImage(self,image):
        
        if len(image) == 0:
            return
        try:
            for key in image:
                bb = key.split('|')
                val = [
                        {   "measurement": bb[0],
                            "fields": {
                                bb[2]: image[key]
                            }
                        }
                      ]

                self.db.write_points(val)
        except:
            traceback.print_exc()
            self.Connect()